Package org.silverpeas.mobile.shared.dto.blog

## Class PostDTO

- java.lang.Object
- - org.silverpeas.mobile.shared.dto.BaseDTO
  - - org.silverpeas.mobile.shared.dto.blog.PostDTO

- All Implemented Interfaces:
    `Serializable`

      public class PostDTO
      extends BaseDTO
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PostDTO()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `String` | `getCategoryId()` |
    `String` | `getCategoryName()` |
    `String` | `getCreationDate()` |
    `String` | `getCreatorName()` |
    `String` | `getDateEvent()` |
    `String` | `getDescription()` |
    `String` | `getInstanceId()` |
    `String` | `getTitle()` |
    `void` | `setCategoryId​(String categoryId)` |
    `void` | `setCategoryName​(String categoryName)` |
    `void` | `setCreationDate​(String creationDate)` |
    `void` | `setCreatorName​(String creatorName)` |
    `void` | `setDateEvent​(String dateEvent)` |
    `void` | `setDescription​(String description)` |
    `void` | `setInstanceId​(String instanceId)` |
    `void` | `setTitle​(String title)` |

    - ### Methods inherited from class org.silverpeas.mobile.shared.dto.BaseDTO

      `getId, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PostDTO

          public PostDTO()

  - ### Method Detail

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### getTitle

          public String getTitle()

    - #### setTitle

          public void setTitle​(String title)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription​(String description)

    - #### setCategoryId

          public void setCategoryId​(String categoryId)

    - #### setCategoryName

          public void setCategoryName​(String categoryName)

    - #### getCategoryId

          public String getCategoryId()

    - #### getCategoryName

          public String getCategoryName()

    - #### setCreatorName

          public void setCreatorName​(String creatorName)

    - #### getCreatorName

          public String getCreatorName()

    - #### setDateEvent

          public void setDateEvent​(String dateEvent)

    - #### setCreationDate

          public void setCreationDate​(String creationDate)

    - #### getDateEvent

          public String getDateEvent()

    - #### getCreationDate

          public String getCreationDate()

    - #### getInstanceId

          public String getInstanceId()

    - #### setInstanceId

          public void setInstanceId​(String instanceId)